论坛中的<快速设置>自动安装脚本( for hoary 版)

为当前最终发行版之前的所有版本提供支持
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

论坛中的<快速设置>自动安装脚本( for hoary 版)

#1

帖子 yonsan » 2005-08-20 23:55

脚本当前版本: 0.0.3

大家在使用此脚本过程中如发现任何问题请发贴说明一下!!

说明:
改为通过输入文件名方式选择自动安装设置相关软件!
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
下载a2ubuntu.tar.gz

代码: 全选

sudo tar zxvfp a2ubuntu.tar.gz
cd a2ubuntu
sudo ./install_cn

>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

各位新装系统或重装系统的可以试用!! :o


以下是此包中的安装说明(readme)内容:
#==============================================================================
这是新手设置指南
http://www.ubuntu.org.cn/support/docume ... st_install
请你根据你自已的喜好选择相应的安装步驟即可
用法: sudo ./install_cn 软件名1 软件名2 ... 软件名n
例如:
使用ubuntu.cn的源,安装中文语言支持,安装scim输入法
则运行 sudo ./install_cn 0 3 5
#==============================================================================


0 ) 修改/etc/apt/sources.list文件
执行apt-get update命令

1 ) 执行apt-get dist-upgrade命令
更新系统

2 ) 执行dpkg-reconfigure locales命令
设置本地local环境

3 ) 执行apt-get install language-pack-zh
执行apt-get install language-pack-zh-base
执行apt-get install language-support-zh
安装中文语言支持

4 ) 执行apt-get install ttf-vera-yuan
安装ttf-vera-yuan中文字体

5 ) 执行apt-get install scim
执行apt-get install scim-gtk2-immodule
执行apt-get install scim-modules-socket
执行apt-get install scim-modules-table
执行apt-get install scim-pinyin
执行apt-get install scim-tables-zh
执行apt-get install scim-input-pad
安装scim输入法

6 ) 设置LC_ALL和其它属性

7 ) 执行apt-get install sun-j2re1.5
安装JAVA环境
安装lumaqq

8 ) 执行apt-get install beep-media-player
执行apt-get install totem-xine
执行apt-get install w32codecs
执行apt-get install gstreamer0.8-plugins
安装更好的多媒体播放驱动

9 ) 执行apt-get install stardict
执行apt-get install stardict-common
执行apt-get install stardict-cdict-gb
执行apt-get install stardict-cedict-gb
执行apt-get install stardict-hanzim
执行apt-get install stardict-langdao-ce-gb
执行apt-get install stardict-langdao-ec-gb
执行apt-get install stardict-oxford-gb
执行apt-get install stardict-xdict-ce-gb
执行apt-get install stardict-xdict-ec-gb
安装英汉辞典

10 ) 执行apt-get install azureus
安装bt软件
附件
a2ubuntu.tar.gz
(11.55 KiB) 下载 123 次
上次由 yonsan 在 2005-10-14 14:02,总共编辑 3 次。
头像
内存不足
论坛版主
帖子: 3277
注册时间: 2005-08-18 18:43
送出感谢: 0
接收感谢: 1 次
联系:

#2

帖子 内存不足 » 2005-08-21 1:32

http://www.ubuntu.org.cn/support/documentation/zhfaq/first_install_sh

这里也应该相应改一下比较好吧 :lol:
上次由 内存不足 在 2005-08-22 10:55,总共编辑 1 次。
໌→ iCookie Gtk Theme
໌→DropPlusBluetheme
กรัก กรัก`菠萝
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#3

帖子 yonsan » 2005-08-21 1:46

http://www.ubuntu.org.cn/support/docume ... install_sh
:o只有一叶兄才能修改主站上的文档!
头像
DarkEyes
帖子: 548
注册时间: 2005-07-01 13:09
来自: 广西南宁
送出感谢: 0
接收感谢: 1 次

#4

帖子 DarkEyes » 2005-08-22 15:59

过几天有空偶就要从新装了。 嘿嘿。试脚本罗~~用完在表意见
最新座驾:华晨中华酷宝 1.8T手动
头像
内存不足
论坛版主
帖子: 3277
注册时间: 2005-08-18 18:43
送出感谢: 0
接收感谢: 1 次
联系:

#5

帖子 内存不足 » 2005-08-22 22:04

我来吃一口螃蟹,目前正在用这个新的脚本升级// 还没完工,等结束之后来反馈意见 哈哈
໌→ iCookie Gtk Theme
໌→DropPlusBluetheme
กรัก กรัก`菠萝
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#6

帖子 yonsan » 2005-08-24 8:06

晕倒! 看到上传了两个同样的附件,于是删除了一个,结果两个附件都没有了!
偶没备份,麻烦前几天下载过此脚本的兄弟帮忙贴一下附件!
头像
内存不足
论坛版主
帖子: 3277
注册时间: 2005-08-18 18:43
送出感谢: 0
接收感谢: 1 次
联系:

#7

帖子 内存不足 » 2005-08-25 18:01

还好我没删 :D

不过我用这个脚本安装时发现 7java 9 10 三项没装上。提示说没有这个文件
附件
a2ubuntu.tar.gz
a2ubuntu.tar.gz
(11.55 KiB) 下载 41 次
໌→ iCookie Gtk Theme
໌→DropPlusBluetheme
กรัก กรัก`菠萝
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#8

帖子 yonsan » 2005-08-25 18:09

:o 呵呵,非常感谢!! 终于找回来了!
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 yongyi » 2005-08-25 18:11

哈哈,王者归来!
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
freespirit
帖子: 42
注册时间: 2005-05-15 17:26
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 freespirit » 2005-08-28 10:18

看来以后装系统的时候就简单多了!
weekend
帖子: 34
注册时间: 2005-07-30 0:57
来自: shenzhen
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 weekend » 2005-08-31 0:59

while i type the following command
4 ) 执行
-------
sudo apt-get install ttf-vera-yuan
-------

正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
E: 无法找到软件包 ttf-arphic-newsung

i cann't even run this
sudo apt-get install ttf-arphic-newsung

please help
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#12

帖子 yonsan » 2005-08-31 1:12

weekend 写了:while i type the following command
4 ) 执行
-------
sudo apt-get install ttf-vera-yuan
-------

正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
E: 无法找到软件包 ttf-arphic-newsung

i cann't even run this
sudo apt-get install ttf-arphic-newsung

please help


先执行0 再执行4

代码: 全选

sudo ./install_cn 0 4
weekend
帖子: 34
注册时间: 2005-07-30 0:57
来自: shenzhen
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 weekend » 2005-08-31 1:19

I have just followed your instruction.
http://www.ubuntu.org.cn/support/documentation/zhfaq/first_install

actually, i didn't use your script. because i wanna try the command s one by one, hopefully i could learn more from it.

but i don't know why it's not working
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#14

帖子 yonsan » 2005-08-31 1:32

修改你的源

代码: 全选

sudo gedit /etc/apt/sources.list


在编辑器里,删除所有东西,并在加上下面的行:

代码: 全选

deb http://archive.ubuntu.org.cn/ubuntu hoary main restricted universe multiverse
deb http://archive.ubuntu.org.cn/ubuntu hoary-security main restricted universe multiverse
deb http://archive.ubuntu.org.cn/ubuntu hoary-updates main restricted universe multiverse
deb http://archive.ubuntu.org.cn/ubuntu-cn ubuntu.org.cn main universe multiverse restricted
deb http://archive.ubuntu.org.cn/backports hoary-backports main universe multiverse restricted
deb http://archive.ubuntu.org.cn/backports hoary-extras main universe multiverse restricted


保存,关闭编辑器

代码: 全选

sudo apt-get update

你必须确保以这几步操作正确!
weekend
帖子: 34
注册时间: 2005-07-30 0:57
来自: shenzhen
送出感谢: 0
接收感谢: 0
联系:

#15

帖子 weekend » 2005-08-31 2:08

thanks.
but i am sure that i have done exactly the same thing..

i installed the amd64 version, does it work in this version?
or should i make some change?
回复

回到 “老旧版本支持”